# Jaxer.XHR.ResponseData : Object
Return to: Jaxer Framework index

A hashmap containing detaild information about the response from an XHR.send.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | 1.0

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.XHR.ResponseData Constructor() : Jaxer.XHR.ResponseData A hashmap containing detailed information about the response from an XHR.send. This is returned as the response of XHR.send when the SendOptions specify extendedResponse=true. | Show Details | 1.0 | 1.0

### Jaxer.XHR.ResponseData() : Jaxer.XHR.ResponseData

A hashmap containing detailed information about the response from an XHR.send. This is returned as the response of XHR.send when the SendOptions specify extendedResponse=true.

Returns

Jaxer.XHR.ResponseData | Returns an instance of ResponseData.

## Properties

Property | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
cookies : Array An array of cooky directives indicated in the response via the "Set-Cookie" header. Each cookie is represented by an object with properties corresponding to its name, value, expires, path, and domain. | Show Details | 1.0 | 1.0

See Also

  Jaxer.Util.Cookie.parseSetCookieHeaders

extra : Object The value of the "extra" parameter, if any, passed into XHR.send. | No Details | 1.0 | 1.0

headers : Object A hashmap containing properties corresponding to the names of the response headers. For each property, if the header name was present multiple times in the response, the value of the property is an array of the corresponding header values; otherwise, the value of the property is the value of the header. | No Details | 1.0 | 1.0

response : Object The responseText string or responseXML XMLDocument of the response, depending on the SendOptions and the returned content type | No Details | 1.0 | 1.0

status : Number The HTTP status code of the response (e.g. 200) | No Details | 1.0 | 1.0

statusText : String The HTTP status text of the response (e.g. "OK") | No Details | 1.0 | 1.0

text : String The responseText of the response, or null if none | No Details | 1.0 | 1.0

xhr : XMLHttpRequest The XMLHttpRequest object used in the request-response | No Details | 1.0 | 1.0

xml : XMLDocument The responseXML of the response, or null if none | No Details | 1.0 | 1.0

aptana_docs